#include <bits/stdc++.h>
#include <string>
using namespace std;


int main()
{
    int b1, b2, b3;
    string b1s, b2s, b3s;
    cin >> b1 >> b2 >> b3;
    b1s = to_string(b1);
    b2s = to_string(b2);
    b3s = to_string(b3);
    string o1, o2, o3, o4, o5, o6;
    o1 = b1s + b2s + b3s;
    o2 = b1s + b3s + b2s;
    o3 = b2s + b3s + b1s;
    o4 = b2s + b1s + b3s;
    o5 = b3s + b1s + b2s;
    o6 = b3s + b2s +b1s;
    cout << max (o1, max(o2,max(o3,max(o4,max(o5,o6)))));
}